
Redmine - Defect #7059

Error on the implementation issues Repository.fetch_changesets

2010-12-07 02:44 - 刚 林

Status: Closed Start date: 2010-12-07

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.0.1

Description

Error message:

ruby script/runner "Repository.fetch_changesets" -e production

./script/../config/../vendor/rails/railties/lib/rails/gem_dependency.rb:119:Warning: Gem::Dependen

cy#version_requirements is deprecated and will be removed on or after August 2010.  Use #requireme

nt

/web/redmine/vendor/rails/railties/lib/commands/runner.rb:48: undefined method `[]' for nil:NilCla

ss (NoMethodError)

    from /web/redmine/lib/redmine/scm/adapters/mercurial_adapter.rb:40:in `hgversion'

    from /web/redmine/lib/redmine/scm/adapters/mercurial_adapter.rb:33:in `client_version'

    from /web/redmine/lib/redmine/scm/adapters/mercurial_adapter.rb:51:in `template_path'

    from /web/redmine/lib/redmine/scm/adapters/mercurial_adapter.rb:108:in `revisions'

    from /web/redmine/lib/redmine/scm/adapters/mercurial_adapter.rb:72:in `info'

    from /web/redmine/app/models/repository/mercurial.rb:56:in `fetch_changesets'

    from /web/redmine/vendor/rails/activerecord/lib/active_record/associations/association_proxy.r

b:217:in `send'

    from /web/redmine/vendor/rails/activerecord/lib/active_record/associations/association_proxy.r

b:217:in `method_missing'

    from /web/redmine/app/models/repository.rb:175:in `fetch_changesets'

    from /web/redmine/app/models/repository.rb:173:in `each'

    from /web/redmine/app/models/repository.rb:173:in `fetch_changesets'

    from (eval):1

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `eval'

    from /web/redmine/vendor/rails/railties/lib/commands/runner.rb:48

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'

    from /usr/lib/ruby/1.8/rubygems/custom_require.rb:31:in `require'

    from script/runner:3

 System Information:

Ubuntu 10.10

rails -v=2.3.5

rack --version=1.0.1

ruby1.8

Related issues:

Is duplicate of Redmine - Patch #5117: mercurial_adapter should ensure the ri... Closed 2010-03-18

History

#1 - 2010-12-07 03:26 - Toshi MARUYAMA

This is fixed by #5117.

#2 - 2010-12-11 00:03 - Toshi MARUYAMA

- Status changed from New to Resolved

#3 - 2011-01-04 06:16 - Toshi MARUYAMA

- Status changed from Resolved to Closed
https://www.redmine.org/issues/5117


- Resolution set to Duplicate
